Bug 447755

Summary: Review Request: postgresql-plpgpsm - Implementation of SQL/PSM language for PostgreSQL
Product: [Fedora] Fedora Reporter: Devrim GUNDUZ <devrim>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: devrim, fedora-package-review, notting, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-02 23:01:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Devrim GUNDUZ 2008-05-21 15:58:41 UTC
Spec URL: 
http://developer.postgresql.org/~devrim/rpms/other/plpgpsm/postgresql-plpgpsm.spec

SRPM URL: 
http://developer.postgresql.org/~devrim/rpms/other/plpgpsm/postgresql-plpgpsm-0.3.1-1.fc9.src.rpm

Description: 

In 1998 a draft of the new standard became part of SQL3 - under the
name SQL/PSM (ANSI/ISO/IEC 9075-4:1999). Unfortunately at that time
most big companies had their own languages (incompatible with the
standard) and refused to abandon them in favor of standard. SQL/PSM
was implemented only in those RDBMS, in which there was no support for
stored procedures before 1998. Except for DB2 (SQL PL, IBM, 2001) all
of them were minor RDBMS: Miner, Solid, 602SQL Server. After 2005 the
SQL/PSM standard started to become more popular, when it was
implemented in Advantage Database Server (Sybase iAnywhere, 2005),
MySQL (2005) and PostgreSQL (2007). Implementation of SQL/PSM is
usually incomplete, SQL PL in DB2 is considered to be one of the best
implementations. PostgreSQL implementation is called PL/pgPSM (using
the standard naming scheme in PostgreSQL).

Comment 1 Till Maas 2009-04-18 15:16:22 UTC
It looks like $RPM_OPT_FLAGS are not honoured.
Reference:
https://fedoraproject.org/wiki/Packaging/Guidelines#Compiler_flags

Also the package does not build on koji, which looks like missing BRs:

bison -y -d  gram.y
/usr/bin/flex  -o'pl_scan.c' scan.l
make: execvp: bison: Permission denied
make: /usr/bin/flex: Command not found
make: *** [pl.tab.h] Error 127
make: *** Waiting for unfinished jobs....
make: *** [pl_scan.c] Error 127

Please remove the NotReady from the Whiteboard when this review request is ready for a review, i.e. at least builds in koji and the $RPM_OPT_FLAGS are honoured. You can test it yourself with:

koji build --scratch dist-f12 /path/to/*.src.rpm

Please post the URL of the koji scratch build, if you did one.

Comment 2 Devrim Gündüz 2009-10-02 23:01:58 UTC
I'm no longer interested in maintaining this package (Also 8.3+ version is not around).

Closing bug.